Hi, I'm Ask INFA!
What would you like to know?
ASK INFAPreview
Please to access Ask INFA.
Not Found

Page Not Found

The page or file you are looking for has been moved or no longer exists.

The following links might help you find the content you need:


You can also search the Documentation Portal or visit the home page.

Table of Contents

Search

  1. Introduction
  2. Define settings for data collections
  3. Manage Data Marketplace content
  4. Manage data collections
  5. Manage requests, orders and consumer accesses
  6. Miscellaneous APIs
  7. Frequently Asked Questions

API Reference

API Reference

Response

Response

When you pass the API query parameters in the REST client, the client displays a response for the parameter values that you have entered.
The following example shows the response of an API call to retrieve the details of a data asset:
{ "processingTime": 212, "offset": 0, "limit": 50, "totalCount": 1, "objects": [ { "name": "Accounts_Customers2", "id": "35d4856a-90b3-3584-abd6-47db0fe9acb7", "refId": "DAS-891", "description": "Customer Information", "source": "CDLG", "descriptiveSource": "AXON", "type": "Table", "refLink": "URL://AXON", "assetLocation": "string", "assetLocationDescription": "string", "technicalAssetName": "string", "status": "DISABLED", "resourceReference": { "typeReference": "string", "sourceAssetId": "string" }, "createdBy": "7w2uGIARApUgxniNoHHWsJ", "createdOn": "2022-03-08T17:05:28.208Z", "modifiedBy": "7w2uGIARApUgxniNoHHWsJ", "modifiedOn": "2022-03-08T17:09:34.623Z" } ] }
The following table describes the parameters of each data asset that is retrieved:
Parameter
Description
offset
The starting index for the paginated results.
Default value is
0
.
limit
The maximum number of results.
Default value is
50
.
totalCount
Total count of records matching the given filters.
name
Name of the data asset.
id
The system generated unique identifier of the data asset.
refId
Reference identifier of the data asset.
description
Description of the data asset.
source
The source system from which the data is supplied.
descriptiveSource
The source application from which the description of the data asset is taken.
type
Type of the data asset.
refLink
The URL path of the data source.
assetLocation
The location of the data asset in the data source.
assetLocationDescription
The description of the location in the data source where the data asset is stored.
technicalAssetName
The name of the data asset, as it appears in the data source.
status
The status informs you of whether the data asset is available to Data Owners.
If the status is
ENABLED
, the data asset is available to Data Owners.
If the status is
DISABLED
, the data asset is not available to Data Owners.
resourceReference
The details of the data asset that was imported from
Data Governance and Catalog
resourceReference > typeReference
The asset type of the asset as defined in
Data Governance and Catalog
.
resourceReference > sourceAssetId
The identifier of the asset in
Data Governance and Catalog
.
createdBy
The system generated unique identifier of the user account that created the data asset.
createdOn
The date when the data asset was created.
modifiedBy
The system generated unique identifier of the latest user account that modified the data asset.
modifiedOn
The latest date when the data asset was modified.

0 COMMENTS

We’d like to hear from you!